## ResolveEditorURL **post** `/gitpod.v1.EditorService/ResolveEditorURL` Resolves the URL for accessing an editor in a specific environment. Use this method to: - Get editor access URLs - Launch editors for environments - Set up editor connections - Configure editor access ### Examples - Resolve editor URL: Gets the URL for accessing an editor in an environment. ```yaml editorId: "d2c94c27-3b76-4a42-b88c-95a85e392c68" environmentId: "07e03a28-65a5-4d98-b532-8ea67b188048" organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047" ``` ### Body Parameters - `editorId: string` editorId is the ID of the editor to resolve the URL for - `environmentId: string` environmentId is the ID of the environment to resolve the URL for - `organizationId: string` organizationId is the ID of the organization to resolve the URL for - `version: optional string` version is the editor version to use If not provided, the latest version will be installed Examples for JetBrains: 2025.2 ### Returns - `url: string` url is the resolved editor URL ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.EditorService/ResolveEditorURL \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{ "editorId": "d2c94c27-3b76-4a42-b88c-95a85e392c68", "environmentId": "07e03a28-65a5-4d98-b532-8ea67b188048", "organizationId": "b0e12f6c-4c67-429d-a4a6-d9838b5da047" }' ``` #### Response ```json { "url": "url" } ```